import dvc.api


def to_df(name, repo=None, rev=None, summon_file="dvcsummon.yaml"):
    import pandas as pd

    with dvc.api.prepare_summon(
        name, repo=repo, rev=rev, summon_file=summon_file
    ) as desc:
        assert desc.obj["summon"]["type"] == "csv"
        return pd.read_csv(desc.deps[0])


def to_lod(name, repo=None, rev=None, summon_file="dvcsummon.yaml"):
    import csv

    with dvc.api.prepare_summon(
        name, repo=repo, rev=rev, summon_file=summon_file
    ) as desc:
        assert desc.obj["summon"]["type"] == "csv"
        with open(desc.deps[0]) as fd:
            return list(csv.DictReader(fd))
